﻿using System;
using System.IO;
using System.Collections.Generic;

namespace Clock
{
    class Program
    {
        public static Dictionary<char, int> ledValues;

        static void Main(string[] args)
        {
            TextReader consoleReader = Console.In;

            ledValues = new Dictionary<char,int>();
            ledValues.Add('0', 6);
            ledValues.Add('1', 2);
            ledValues.Add('2', 5);
            ledValues.Add('3', 5);
            ledValues.Add('4', 4);
            ledValues.Add('5', 5);
            ledValues.Add('6', 6);
            ledValues.Add('7', 3);
            ledValues.Add('8', 7);
            ledValues.Add('9', 6);
        
            string[] times = consoleReader.ReadToEnd().Split('\n');
            
            foreach (string time in times)
            {
                Int32 seconds = Int32.Parse(time);
                Int32[] digits = new Int32[] { 0, 0, 0};
                Int32 totalLeds = CalcLedValue(digits);

                for (int i = 0; i < seconds; i++)
                {
                    digits[2]++;

                    if (digits[2] > 59)
                    {
                        digits[2] = 0;
                        digits[1]++;
                    }

                    if (digits[1] > 59)
                    {
                        digits[1] = 0;
                        digits[0]++;
                    }

                    if (digits[0] > 23)
                    {
                        digits[0] = 0;
                    }

                    totalLeds += CalcLedValue(digits);
                }

                Console.WriteLine(totalLeds.ToString());
            }
        }

        private static Int32 CalcLedValue(Int32[] digits)
        {
            Int32 ret = 0;
            string timeString = string.Format("{0:00}{1:00}{2:00}", digits[0], digits[1], digits[2]);

            for (int i = 0; i < timeString.Length; i++)
            {
                ret += ledValues[timeString[i]];
            }

            return ret;
        }
    }
}
